var express = require('express');
var app = express();
var exphbs  = require('express3-handlebars');
var path = require('path');

// get an instance of express router
var router = express.Router();

require('./routes/main')(app,router);

// defines where our HTML files are placed. by default is set to 'views/layouts' for express3-handlebars settings.
// that's why the below line is not required for express3-handlebars, but it may be used in other template engines 
//to render the view folder location.
//app.set('views',__dirname + '/views');




// set up handlebars view engine
// also defines where our HTML files are placed in custom manner .
app.engine('.html', exphbs({defaultLayout: 'main' , extname: '.html' , layoutsDir:'public/layouts'}));
app.set('views', path.join(__dirname, 'public'));
app.set('view engine', '.html');

var server = app.listen(3000,function(){
    console.log("We have started our server on port 3000");
});



